
Enduro/X Core - Feature #331

Feature # 328 (Closed): Enduro/X Version 6.0 master task

ndrxconfig.xml

08/07/2018 02:58 PM - Anonymous

Status: Closed Start date: 08/07/2018

Priority: Normal (Code 4) Due date:  

Assignee: Madars % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Add feature for support different log id for one service

<server name="awesome-app_svc">

                <min>10</min>

                <max>10</max>

                <srvid>1337</srvid>

                <sysopt>-e ${NDRX_APPHOME}/log/awesome-app_svc-${NDRX_SRV_ID}.log -r -D1</sysopt>

                <sleep_after>1</sleep_after>

 </server>

output file ex. : awesome-app_svc-1337.log

output file ex. : awesome-app_svc-1338.log

....

History

#1 - 08/08/2018 05:19 AM - Madars

- Parent task set to #328

#2 - 10/26/2018 12:14 AM - Madars

- Status changed from New to Resolved

Done in Enduro/X 6.x

        <servers>

        <!-- This will be bad one, killed.. -->

                <server name="atmisv_012">

                        <srvid>1000</srvid>

                        <min>${TEST_PROCS}</min>

                        <max>${TEST_PROCS}</max>

                        <sysopt>-e ${TESTDIR}/atmisv1_${NDRX_SVSRVID}.log -r</sysopt>

                </server>

        </servers>

 

See sample in endurox/atmitest/test012_admqfull/ndrxconfig.xml
#3 - 10/26/2018 12:14 AM - Madars

- Status changed from Resolved to Closed

- % Done changed from 0 to 100
